# class toResultCols | This widget displays information about the returned columns of an object specified by the first and second parameter in the query. More...
Definition | `#include <toresultcols.h>`
Inherits | QVBox (qt) [public ], toResult [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultCols (QWidget *parent,const char *name=NULL)
- virtual void query (const QString &sql,const toQList ¶m)
- virtual bool canHandle (toConnection &)
- void setSQL (const QString &sql)
- void setSQL (toSQL &sql)
- void query (const QString &sql)
- void query (toSQL &sql)

#### Public Slots

- virtual void clearParams (void)
- virtual void refresh (void)
- virtual void changeParams (const QString &Param1)
- virtual void changeParams (const QString &Param1,const QString &Param2)
- virtual void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

#### Public Members

- friend class toResultColsItem

## Detailed Description

This widget displays information about the returned columns of an object specified by the first and second parameter in the query. The sql is not used in the query.

toResultCols (QWidget *parent,const char *name=NULL) | ### toResultCols

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

void query (const QString &sql,const toQList ¶m) | ### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResult.

bool canHandle (toConnection &) | ### canHandle

[virtual]

Handle any connection by default

Reimplemented from toResult.

void setSQL (const QString &sql) | ### setSQL

Set the SQL statement of this list

Parameters:

sql | String containing statement.

Reimplemented from toResult.

void setSQL (toSQL &sql) | ### setSQL

Set the SQL statement of this list. This will also affect Name.

Parameters:

sql | SQL containing statement.

Reimplemented from toResult.

void query (const QString &sql) | ### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void query (toSQL &sql) | ### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

friend class toResultColsItem | ### toResultColsItem

void clearParams (void) | ### clearParams

[virtual slot]

Erase last parameters

Reimplemented from toResult.

void refresh (void) | ### refresh

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1) | ### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2) | ### changeParams

[virtual slot]

Reimplemented For internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2,const QString &Param3) | ### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.